Web lists-archives.com

Re: Setup-x86_64 and Cygwin 64 Latest Updates - Packages NOT Upgraded




On 2017-04-01 04:13, Achim Gratz wrote:
> Brian Inglis writes:
>> @ libproj9
>> version: 4.9.2-1
>> @ libslang2
>> version: 2.3.1a-1
>> @ perl-Carp
>> version: 1.38-1
>>
>> Are dependencies only auto-updated when the manually picked
>> packages that depend on them are?
> 
> No, but the last two packages need manual updating because setup 
> considers the version on disk newer than the one offered. At least
> for perl-Carp there was a version override in place when upstream
> changed their numbering scheme.

Done that and uninstalled libproj9 as it is still in requires: for 
[prev] releases with libproj12 for current releases, except for 
libgeotiff2 which only shows libproj9 not libproj12.

> I think in this case the -f/--force-current option to setup would
> pick up the correct version also.
> 
>> Could these packages now be orphans if their original manually 
>> picked parent packages changed their dependencies?
> 
> Well, probably the easiest way to see if they're orphan packages is
> by using the -o/--delete-orphans option to setup and check on the
> Pending page which packages it wants to remove.

Thanks Achim, I was unsure how safe that would be, but I will do that 
as long as I know it shows on Pending. Should run on 32 as well as it 
has been around for 5 years in current setup.

-- 
Take care. Thanks, Brian Inglis, Calgary, Alberta, Canada

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple